<!--Strana za registrovanje-->
<!DOCTYPE html> 
<html>
    <body>
        <div class="hero"> 
            
            <app-navigation></app-navigation>
            <div class="form-box">
                <div class="button-box">
                    <p class="p"> Change password</p>
                </div>

                
                <form id="change" class="input-group" [formGroup]="changeForm" (ngSubmit)="change(changeForm.value)">
                    <input type="password" name="oldPassword" class="input-field" formControlName="oldPassword"  placeholder="old password" required #newUsername>
                    <p class="error-msg" *ngIf="!oldPassword_">Password is not correct</p>

                    <input type="password" name="newPassword" class="input-field" formControlName="newPassword" placeholder="new password" required>
                    <p class="error-msg" *ngIf="newPassword().errors?.minlength">Password must be at least 5 characters long</p>

                    <button type="submit" [disabled]="!changeForm.valid" class="submit-btn">Change</button>
                </form>

                
            </div>
            
        </div>
    </body>
</html>